/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * BoundaryConditionValidator.cpp
 *
 *  Created on: May 10, 2012
 *      Author: ankele
 */


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "BoundaryConditionValidator.hpp"

#include "Box.hpp"
#include "Box_BoundaryConditions.hpp"

bool BoundaryConditionValidator::isValid(const std::string & _value) const
{
  BoundaryConditions::BCContainer bc;
  return (bc.ReConverterBiMap.find(_value) != bc.ReConverterBiMap.end());
}

bool BoundaryConditionValidator::operator==(const Validator<std::string> &_instance) const
{
  const BoundaryConditionValidator *inst =
      dynamic_cast<const BoundaryConditionValidator *>(&_instance);
  if (inst)
    return true;
  else
    return false;
}

Validator< std::string >* BoundaryConditionValidator::clone() const
{
  Validator< std::string > *inst =
      new BoundaryConditionValidator();
  return inst;
}




